Skip to main content
GET
/
v1
/
btc-mainnet
/
address
/
{walletAddress}
/
hd_wallets
cURL
curl --request GET \
  --url https://api.covalenthq.com/v1/btc-mainnet/address/{walletAddress}/hd_wallets/ \
  --header 'Authorization: Bearer <token>'
{
  "address": "<string>",
  "chain_id": 123,
  "chain_name": "<string>",
  "chain_tip_height": 123,
  "chain_tip_signed_at": "2023-11-07T05:31:56Z",
  "quote_currency": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "items": [
    {
      "child_address": "<string>",
      "address_path": "<string>",
      "contract_decimals": 123,
      "contract_name": "<string>",
      "contract_ticker_symbol": "<string>",
      "contract_address": "<string>",
      "contract_display_name": "<string>",
      "supports_erc": [
        "<string>"
      ],
      "logo_urls": {
        "token_logo_url": "<string>",
        "protocol_logo_url": "<string>",
        "chain_logo_url": "<string>"
      },
      "last_transferred_at": "2023-11-07T05:31:56Z",
      "is_native_token": true,
      "type": "<string>",
      "is_spam": true,
      "balance": "<string>",
      "balance_24h": "<string>",
      "quote_rate": 123,
      "quote_rate_24h": 123,
      "quote": 123,
      "quote_24h": 123,
      "pretty_quote": "<string>",
      "pretty_quote_24h": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Credit Cost

0.1 per item

Processing

Realtime
Requests that return status 200 and no data cost 0.1 credits.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.

Path Parameters

walletAddress
string
required

The extended public key (xPub/yPub/zPub) of the HD wallet.

Query Parameters

quote-currency
string

The currency to convert the balance to. Supports USD, CAD, EUR, etc.

Response

200 - application/json

Successful response

address
string

The extended public key (xPub/yPub/zPub) or HD wallet address.

chain_id
integer

The requested chain ID eg: 20090103.

chain_name
string

The requested chain name eg: btc-mainnet.

chain_tip_height
integer

The latest block height of the blockchain at the time this response was provided.

chain_tip_signed_at
string<date-time>

The timestamp of the latest signed block at the time this response was provided.

quote_currency
string

The requested quote currency eg: USD.

updated_at
string<date-time>

The timestamp when the response was generated. Useful to show data staleness to users.

items
object[]

List of HD wallet balance items, each containing derived addresses and balances.